%define	pkgname	vmware
Name:		opennebula-driver-vmware
Version:	2.2.0
Release:	18.3
License:	Apache License version 2.0
Summary:	VMware driver for OpenNebula
URL:		http://www.opennebula.org
Group:		Productivity/Networking/System
Source0:	%{pkgname}-%{version}.tar.bz2
Source1:	README-AFTER-SETUP
Patch0:		%{pkgname}-install.patch
Patch1:		%{pkgname}-vmwarelib.patch
Patch2:		%{pkgname}-imRemotesVmwareRCfix.patch
Patch3:		%{pkgname}-vmwarerc.patch
Patch4:		%{pkgname}-vmm-remotes.patch
BuildRequires:	opennebula >= 2.2.0
Requires:	opennebula >= 2.2.0
Requires:	libvirt >= 0.8.3
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is the distribution of OpenNebula VMware Driver Addon.

%prep
%setup -n %{pkgname}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4

%build

%install
cp %{S:1} .
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/lib/one/ruby/OpenNebula
mkdir -p %{buildroot}%{_sysconfdir}/one
mkdir -p %{buildroot}%{_datadir}/one/hooks
mkdir -p %{buildroot}%{_prefix}/lib/one/tm_commands/vmware
mkdir -p %{buildroot}/var/lib/one/remotes/im
mkdir -p %{buildroot}/var/lib/one/remotes/vmm
export DESTDIR=%{buildroot}
install.sh
cp -aR %{buildroot}%{_prefix}/lib/one/remotes/im/vmware.d %{buildroot}/var/lib/one/remotes/im/
cp -aR %{buildroot}%{_prefix}/lib/one/remotes/vmm/vmware %{buildroot}/var/lib/one/remotes/vmm/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README-AFTER-SETUP
%dir %{_sysconfdir}/one/tm_vmware
%config %{_sysconfdir}/one/tm_vmware/tm_vmware.conf
%dir %{_sysconfdir}/one/vmm_sh
%config %{_sysconfdir}/one/vmm_sh/vmm_sh_vmware.conf
%config %{_sysconfdir}/one/vmm_sh/vmm_sh_vmwarerc
%config %{_sysconfdir}/one/vmwarerc
%{_bindir}/onevmware
%{_bindir}/tty_expect
%dir %{_prefix}/lib/one/remotes/im
%dir %{_prefix}/lib/one/remotes/im/vmware.d
%dir %{_prefix}/lib/one/remotes/vmm
%dir %{_prefix}/lib/one/remotes/vmm/vmware
%dir /var/lib/one/remotes/im/vmware.d
%dir /var/lib/one/remotes/vmm/vmware
%{_prefix}/lib/one/remotes/im/vmware.d/vmware.rb
%{_prefix}/lib/one/remotes/vmm/vmware/cancel
%{_prefix}/lib/one/remotes/vmm/vmware/checkpoint
%{_prefix}/lib/one/remotes/vmm/vmware/deploy
%{_prefix}/lib/one/remotes/vmm/vmware/migrate
%{_prefix}/lib/one/remotes/vmm/vmware/poll
%{_prefix}/lib/one/remotes/vmm/vmware/restore
%{_prefix}/lib/one/remotes/vmm/vmware/save
%{_prefix}/lib/one/remotes/vmm/vmware/shutdown
%{_prefix}/lib/one/ruby/OpenNebula/ImageRepositoryVMware.rb
%{_prefix}/lib/one/ruby/vmwarelib.rb
/var/lib/one/remotes/im/vmware.d/vmware.rb
/var/lib/one/remotes/vmm/vmware/cancel
/var/lib/one/remotes/vmm/vmware/checkpoint
/var/lib/one/remotes/vmm/vmware/deploy
/var/lib/one/remotes/vmm/vmware/migrate
/var/lib/one/remotes/vmm/vmware/poll
/var/lib/one/remotes/vmm/vmware/restore
/var/lib/one/remotes/vmm/vmware/save
/var/lib/one/remotes/vmm/vmware/shutdown
%dir %{_prefix}/lib/one/tm_commands/vmware
%{_prefix}/lib/one/tm_commands/vmware/tm_ln.sh
%{_prefix}/lib/one/tm_commands/vmware/tm_mv.sh
%{_datadir}/one/hooks/fix_owner_perms.sh
%{_datadir}/one/hooks/image.rb

%changelog
* Sun Jul 10 2011 cs@linux-administrator.com
- added hint about ONE_AUTH to README-AFTER-SETUP
* Sat Jul  9 2011 cs@linux-administrator.com
- added vmware-vmm-remotes.patch
* Fri Jul  8 2011 cs@linux-administrator.com
- added vmware-vmwarelib.patch to fix tty_expect path
- added vmware-imRemotesVmwareRCfix.patch
- added vmware-vmwarerc.patch
* Mon Jun 27 2011 cs@linux-administrator.com
- initial package
